from tkinter import *
import os
from PIL import Image, ImageTk

class Application:

	def __init__(self):

		#creer la fenetre
		self.window = Tk()
		self.window.title("Aide")
		self.window.geometry("1152x768")
		self.window.resizable(width=0, height=0)
		self.window.config(background='#009CDD')
		self.window.iconbitmap("Polytech_Angers.ico")

		#zone de texte
		self.label1 = Label(self.window,bg='white',font = ('Sans','60','bold'),fg='#004A75')
		self.label1.configure(text = "                                                             Besoin d'aide ?                                                             ")
		self.label1.pack()

		self.label2 = Label(self.window,bg='#009CDD',fg='white',font = ('Sans','30','bold'))
		self.label2.configure(text = "- Modèle SIR -")
		self.label2.pack(expand=YES)

		self.label4 = Label(self.window,wraplength=1100,justify='left',text ="Lorque que vous cliquez sur le bouton \"Modèle SIR\", une carte pixelisée de la France apparait. Les pixels verts représentent la population saine. Avant de lancer la simulation, vous devez ajouter des pixels infectés en cliquant sur ceux de votre choix. Ils apparaitrons en rouge et vous pouvez les retirer en recliquant dessus. De plus, vous pouvez choisir le coéfficient de transsimition en %. Il représente la chance pour que la maladie se transmette lors d\'un contact entre un pixel sain et un autre pixel infecté. La simulation vous permet également de choisir la période de transmissibilité en jours, qui représente le nombre de jours pendant lequel un individu reste infecté. Vous pouvez également consider la mortalité de la maladie. Pendant la simulation, les pixels morts seront en noirs et les rétablis en gris. A la fin de la simulation, un graphique apparaitra pour vous présenter un bilan de la simulation. De plus, sur ce graphique apparait en pointillé le résultat des équations mathématiques du modèle SIR pour les paramètres choisis pour la simulation.Le bouton \"Reset\" permet de remetre la carte à zéro et le bouton \"Pause\" d'intérromptre la simulation.",bg='#009CDD',fg='white',font = ('Sans','15','bold'))
		self.label4.pack()

		self.label3 = Label(self.window,bg='#009CDD',fg='white',font = ('Sans','30','bold'))
		self.label3.configure(text = "- Automates cellulaires -")
		self.label3.pack(expand=YES)

		self.label5 = Label(self.window,wraplength=1100,justify='left',text ="La simulation que vous obtenez en cliquant sur \"Automates cellulaires\" vous permettra de simuler les automates cellulaires suivants: le \"Jeu de la vie\", le \"Compteur de parité\" et la \"Règle de majorité\". Pour ce faire, il vous suffit de cliquer sur les boutons correspondants. Mais avant, vous devez placer des cellules vivantes dans la zone délimitée par les contours gris. Vous pouvez cliquer dans celle-ci pour placer des pixels noirs ou les retirer en recliquant dessus. Vous pouver également cliquer sur \"Cellules aléatoires\" pour placer des pixels noires aléatoirement dans la zone. Le bouton \"Reset\" permet d'effacer tout les pixels noir de la zone et le bouton \"Pause\" d'intérromptre la simulation. ",bg='#009CDD',fg='white',font = ('Sans','15','bold'))
		self.label5.pack()

		self.bouton4=Button(self.window,text='Quitter',command=lambda :self.quitter(),height=2,width=25,fg='#004A75',font = ('Sans','30','bold')).pack(expand=YES)


	def quitter(self):
		self.window.destroy()


if __name__ == "__main__":
    app=Application()
    app.window.mainloop()